import XMonad
import XMonad.Hooks.DynamicLog
import XMonad.Layout.Spacing
import XMonad.Hooks.ManageDocks
import XMonad.Util.Run(spawnPipe)
import XMonad.Util.EZConfig(additionalKeys)
import System.IO

-- main = xmonad defaultConfig
	-- { modMask = mod4Mask
	-- , terminal = "st"
	-- , borderWidth = 6
	-- , normalBorderColor = "#6666ea"
	-- , focusedBorderColor = "#5ab738"
	-- }

main = do
	xmproc <- spawnPipe "xmobar"
	xmonad $ docks defaultConfig
		{ layoutHook = spacingRaw False (Border 25 10 10 10) True (Border 10 10 10 10) True $ layoutHook defaultConfig
		, logHook = dynamicLogWithPP xmobarPP
				{ ppOutput = hPutStrLn xmproc
				, ppTitle = xmobarColor "green" "" . shorten 50
				}
		, modMask = mod4Mask
		, terminal = "st"
		, borderWidth = 6
		, normalBorderColor = "#6666ea"
		, focusedBorderColor = "#5ab738"
		} `additionalKeys`
		[ ((mod4Mask .|. shiftMask, xK_z), spawn "i3lock -i ~/img/wps/rbgrad1.png -u")
		, ((mod4Mask, xK_s), spawn "scrot '%F_%T.png' -e 'mv $f /home/jord/img/scrots'")
		, ((mod4Mask, xK_f), spawn "firefox")
		, ((mod4Mask, xK_e), spawn "emacs")                
		]
